package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.DataEntity;
import com.sa.ibiz.demo.demo.service.dto.DataEntitySearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[DataEntity] 服务对象接口
 */
public interface DataEntityService extends IService<DataEntity>{

	boolean checkKey(DataEntity et);
	boolean getDraft(DataEntity et);
	boolean remove(DataEntity et);
		DataEntity initAll(DataEntity et);
		DataEntity get(DataEntity et);
	boolean create(DataEntity et);
		DataEntity initUserRoleData(DataEntity et);
	boolean update(DataEntity et);
    List<DataEntity> listDefault(DataEntitySearchFilter filter) ;
	Page<DataEntity> searchDefault(DataEntitySearchFilter filter);
	/**	 实体[DataEntity] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }